(in-package :objcffi)

;; grep '^#define CLS_[^(]*$' /usr/include/objc/objc-class.h | tr "\t" " " | sed -e 's/#define \([^ ]*\).*0x\([^L]*\).*/(defconstant \1 #x\2)/'
(defconstant CLS_CLASS #x1)
(defconstant CLS_META #x2)
(defconstant CLS_INITIALIZED #x4)
(defconstant CLS_POSING #x8)
(defconstant CLS_MAPPED #x10)
(defconstant CLS_FLUSH_CACHE #x20)
(defconstant CLS_GROW_CACHE #x40)
(defconstant CLS_NEED_BIND #x80)
(defconstant CLS_METHOD_ARRAY #x100)
(defconstant CLS_JAVA_HYBRID #x200)
(defconstant CLS_JAVA_CLASS #x400)
(defconstant CLS_INITIALIZING #x800)
(defconstant CLS_FROM_BUNDLE #x1000)
(defconstant CLS_HAS_CXX_STRUCTORS #x2000)
(defconstant CLS_NO_METHOD_ARRAY #x4000)

(defun cls-get-info (cls infomask)
  (logtest cls infomask))
